"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.componentPlugin = void 0;
const vuepress_shared_1 = require("vuepress-shared");
const locales_1 = require("./locales");
const utils_1 = require("./utils");
const componentPlugin = (options, context) => {
    var _a, _b, _c;
    const PLUGIN_NAME = "@mr-hope/vuepress-plugin-components";
    return {
        name: PLUGIN_NAME,
        alias: {
            "@BackToTop": options.backToTop
                ? vuepress_shared_1.path.resolve(__dirname, "../client/components/BackToTop.vue")
                : vuepress_shared_1.noopModule,
            "@Badge": ((_a = options.components) === null || _a === void 0 ? void 0 : _a.includes("Badge"))
                ? vuepress_shared_1.path.resolve(__dirname, "../client/components/Badge.vue")
                : vuepress_shared_1.noopModule,
            "@ExternalLinkIcon": ((_b = options.components) === null || _b === void 0 ? void 0 : _b.includes("ExternalLinkIcon"))
                ? vuepress_shared_1.path.resolve(__dirname, "../client/components/ExternalLinkIcon.js")
                : vuepress_shared_1.noopModule,
            "@FontIcon": ((_c = options.components) === null || _c === void 0 ? void 0 : _c.includes("FontIcon"))
                ? vuepress_shared_1.path.resolve(__dirname, "../client/components/FontIcon.js")
                : vuepress_shared_1.noopModule,
        },
        define: () => ({
            BACK_TO_TOP_THRESHOLD: typeof options.backToTop === "number" ? options.backToTop : 300,
            BACK_TO_TOP_LOCALES: (0, vuepress_shared_1.getLocales)({
                context,
                name: PLUGIN_NAME,
                default: locales_1.backToTopLocales,
                config: options.backToTopLocales,
            }),
            EXTERNAL_LINK_LOCALES: (0, vuepress_shared_1.getLocales)({
                context,
                name: PLUGIN_NAME,
                default: locales_1.externallinkLocales,
                config: options.externalLinkLocales,
            }),
            ICON_PREFIX: typeof options.iconPrefix === "string"
                ? options.iconPrefix
                : (0, utils_1.getIconPrefix)(options.iconAssets),
        }),
        enhanceAppFiles: vuepress_shared_1.path.resolve(__dirname, "../client/enhanceAppFile.js"),
        globalUIComponents: options.backToTop ? "BackToTop" : [],
    };
};
exports.componentPlugin = componentPlugin;
//# sourceMappingURL=plugin.js.map